Bug 396721 - Review Request: ps3pf-utils - Utilities for Sony PlayStation 3
Review Request: ps3pf-utils - Utilities for Sony PlayStation 3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Boyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-23 08:32 EST by David Woodhouse
Modified: 2008-10-11 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-11 10:40:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jwboyer: fedora‑review+
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-11-23 08:32:58 EST
Spec URL: http://david.woodhou.se/ppc64-utils/ps3pf-utils.spec
SRPM URL: http://david.woodhou.se/ppc64-utils/ps3pf-utils-2.1-1.fc9.src.rpm
Description: Utilities for Sony PlayStation 3

We used to ship this as part of the ppc64-utils package. That package should die, because it's a mess.
Comment 1 Josh Boyer 2007-11-27 16:40:50 EST
- Package meets naming and packaging guidelines
 - Spec file matches base package name.
 - Spec has consistant macro usage.
 - Meets Packaging Guidelines.
 - License
 - License field in spec matches
 - License file included in package
 - Spec in American English
 - Spec is legible.
 - Sources match upstream md5sum: 6ce31cf23a7b8a5fae5440004c6157ed

Note, the source is actually in an SRPM at:

ftp://ftp.kernel.org/pub/linux/kernel/people/geoff/cell/CELL-Linux-CL_20071023-ADDON/src

 - BuildRequires correct
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section.
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content.
 - Packages %doc files don't affect runtime.

 - Headers/static libs in -devel subpackage.
 - Spec has needed ldconfig in post and postun
 - .pc files in -devel subpackage/requires pkgconfig
 - .so files in -devel subpackage.
 - -devel package Requires: %{name} = %{version}-%{release}
 - .la files are removed.

 - Package compiles and builds on at least one arch.
 - Package has no duplicate files in %files.
 - Package doesn't own any directories other packages own.
 - Package owns all the directories it creates.
 - No rpmlint output.

SHOULD Items:

 - Should build in mock.
 - Should build on all supported archs
 - Should function as described.
 - Should have sane scriptlets.
 - Should have subpackages require base package with fully versioned depend.
 - Should have dist tag
 - Should package latest version

Approved.
Comment 2 David Woodhouse 2007-11-27 20:31:01 EST
New Package CVS Request
=======================
Package Name: ps3pf-utils
Short Description: Utilities for Sony Playstation 3
Owners: dwmw2
Branches: F-8
Cvsextras Commits: yes
Comment 3 Brian Pepple 2008-05-25 16:54:01 EDT
David, has this package been built?  If so, this bug can be closed.
Comment 4 Peter Robinson 2008-10-11 10:40:02 EDT
Closing - in rawhide

Note You need to log in before you can comment on or make changes to this bug.